<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_191) on Fri Mar 15 18:21:06 CST 2019 -->
<meta name="date" content="2019-03-15">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="index.html?package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;&lt;Unnamed&gt;</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="LispInterpreterView.html" title="class in &lt;Unnamed&gt;">LispInterpreterView</a></td>
<td class="colLast">
<div class="block">This class's purpose is to show the UI and execute the expressions and apply the functions in the
 program, to later show the result in a textBox implementing Swing</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="Main.html" title="class in &lt;Unnamed&gt;">Main</a></td>
<td class="colLast">
<div class="block">Main class, shows a calculator as a JavaFX UI</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="MyParser.html" title="class in &lt;Unnamed&gt;">MyParser</a></td>
<td class="colLast">
<div class="block">MyParser Class is used to "parse" and convert them to a low level instruccion
 the expressions once they are passed from myScanner
 principal method returns a node with all the validations to pass it to LispInterpreterView</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="MyScanner.html" title="class in &lt;Unnamed&gt;">MyScanner</a></td>
<td class="colLast">
<div class="block">This class gets a string value in the init method, and iterates over the string to get
 the value of each character and generate Token type objects with a specific value according to the type of
 characters that it is identified, predefined types of Tokens are shown below as static type Strings.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="Node.html" title="class in &lt;Unnamed&gt;">Node</a></td>
<td class="colLast">
<div class="block">This class represents every single expression that the Lisp Interpreter can
 manage, it has the isInner attribute to represent if it is Inner relative
 to another Node (a leaf) or if it is not (true) in the tree-like structure that will be
 constructed to execute expressions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="Token.html" title="class in &lt;Unnamed&gt;">Token</a></td>
<td class="colLast">
<div class="block">This class represents each reserved word in the lisp enviroment
 including logical operators, arithmetic operators UDF's names, and
 predicates
 for example: DEFUN, GREATER, MINUS, PLUS

 It can also represent a character that can be a syntax char or a value
 like a NumericAtom, LiteralAtom, OpenParenthesis, ClosingParenthesis, DOT, EOF (End Of File),
 EOS (End Of String).</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="index.html?package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
